Submit Address
POST
/api/v1/kyc/address
const url = 'https://api.parasta.io/api/v1/kyc/address';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"kyc_session_id":"kyc_xxxxx","zip_code":"06164","address1":"427 Teheran-ro, Gangnam-gu","address2":"WeWork Tower 10F"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/api/v1/kyc/address \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "kyc_session_id": "kyc_xxxxx", "zip_code": "06164", "address1": "427 Teheran-ro, Gangnam-gu", "address2": "WeWork Tower 10F" }'Submit residential address information.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
zip_code
required
Postal/ZIP code
string
address1
required
Primary address
string
address2
Detail address
string
Example
{ "kyc_session_id": "kyc_xxxxx", "zip_code": "06164", "address1": "427 Teheran-ro, Gangnam-gu", "address2": "WeWork Tower 10F"}Responses
Section titled “ Responses ”OK
Media type application/json
Example
{ "status": "ok", "data": { "step": "address", "completed": true }}